%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		d-feet
Version:	0.3.16
Release:	%mkrel 5
Summary:	D-Feet is a D-Bus debugger
License:	GPLv2+
Group:		Development/Other
URL:		https://wiki.gnome.org/Apps/DFeet
Source0:	https://download.gnome.org/sources/d-feet/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		d-feet-build-with-meson61.patch
BuildArch:	noarch
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(pep8)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-pycodestyle
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.6
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gnome-common
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	yelp-tools
Requires:	python3dist(dbus-python)
Requires:	python3dist(pygobject)

%description
D-Feet is a D-Bus debugger written in PyGtk by John (J5) Palmieri.
It allows :
* to view names on any bus,
* to view exported objects, interfaces, methods and signals,
* to view the full command line of services on the bus,
* and to execute methods with parameters on the bus and see their
 return values.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

#fix desktop file
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/org.gnome.dfeet.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS README.md
%license COPYING
%{python3_sitelib}/*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.svg
%{_datadir}/applications/org.gnome.dfeet.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.dfeet.gschema.xml
%{_metainfodir}/org.gnome.dfeet.appdata.xml


%changelog
* Thu Feb 22 2024 daviddavid <daviddavid> 0.3.16-5.mga10
+ Revision: 2043047
- rebuild for py3.12

* Tue Jul 26 2022 papoteur <papoteur> 0.3.16-4.mga9
+ Revision: 1872349
- Fix build with meson 0.61

* Thu Mar 31 2022 umeabot <umeabot> 0.3.16-3.mga9
+ Revision: 1835764
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 0.3.16-2.mga9
+ Revision: 1775113
- rebuild for python-3.10

* Thu May 20 2021 ovitters <ovitters> 0.3.16-1.mga9
+ Revision: 1725796
- new version 0.3.16

* Mon Mar 15 2021 wally <wally> 0.3.15-5.mga9
+ Revision: 1703647
- rebuild for python 3.9

* Sun Jul 26 2020 daviddavid <daviddavid> 0.3.15-4.mga8
+ Revision: 1609111
- adjust files list (s/%%{python3_sitearch}/%%{python3_sitelib}/)

* Sun Feb 16 2020 umeabot <umeabot> 0.3.15-3.mga8
+ Revision: 1531001
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 wally <wally> 0.3.15-2.mga8
+ Revision: 1438387
- rebuild for python3.8

* Thu Aug 08 2019 tv <tv> 0.3.15-1.mga8
+ Revision: 1428144
- s/py2/py3/
- switch to meson
+ ovitters <ovitters>
- new version 0.3.15

* Fri Nov 02 2018 ovitters <ovitters> 0.3.14-1.mga7
+ Revision: 1327628
- new version 0.3.14

* Thu Sep 20 2018 umeabot <umeabot> 0.3.13-3.mga7
+ Revision: 1277837
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_install

* Fri Nov 24 2017 ovitters <ovitters> 0.3.13-1.mga7
+ Revision: 1179095
- new version 0.3.13

* Tue Sep 12 2017 cjw <cjw> 0.3.12-2.mga7
+ Revision: 1153245
- add buildrequires yelp-tools
- add buildrequires gnome-common
- fix for new find_lang

* Mon Jul 17 2017 ovitters <ovitters> 0.3.12-1.mga7
+ Revision: 1124606
- new version 0.3.12

* Wed Oct 19 2016 tv <tv> 0.3.11-2.mga6
+ Revision: 1062252
- switch from %%old_configure to %%configure2_5x --build=%%{_build}

* Sat Apr 23 2016 ovitters <ovitters> 0.3.11-1.mga6
+ Revision: 1005529
- new version 0.3.11

* Fri Feb 19 2016 umeabot <umeabot> 0.3.10-4.mga6
+ Revision: 969852
- Mageia 6 Mass Rebuild

* Thu Sep 17 2015 tv <tv> 0.3.10-3.mga6
+ Revision: 880193
- make it noarch thus really fixing empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 0.3.10-2.mga6
+ Revision: 875060
- Fix build with new rpm ( empty debuginfo)

* Mon Jun 22 2015 ovitters <ovitters> 0.3.10-1.mga6
+ Revision: 839584
- new version 0.3.10

* Wed Oct 15 2014 umeabot <umeabot> 0.3.9-3.mga5
+ Revision: 740231
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.9-2.mga5
+ Revision: 678661
- Mageia 5 Mass Rebuild

* Sun Jun 08 2014 ovitters <ovitters> 0.3.9-1.mga5
+ Revision: 634721
- new version 0.3.9

* Sat May 31 2014 pterjan <pterjan> 0.3.8-3.mga5
+ Revision: 628149
- Rebuild for new Python

* Sat Nov 02 2013 fwang <fwang> 0.3.8-2.mga4
+ Revision: 548861
- add requires on python-gi

* Mon Oct 21 2013 ovitters <ovitters> 0.3.8-1.mga4
+ Revision: 538002
- new version 0.3.8

* Mon Oct 21 2013 umeabot <umeabot> 0.3.7-2.mga4
+ Revision: 537072
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 ovitters <ovitters> 0.3.7-1.mga4
+ Revision: 486223
- new version 0.3.7

* Sun Jul 28 2013 ovitters <ovitters> 0.3.6-1.mga4
+ Revision: 459290
- new version 0.3.6

* Wed Jun 26 2013 dams <dams> 0.3.5-1.mga4
+ Revision: 446688
- update BR
+ ovitters <ovitters>
- new version 0.3.5

* Fri May 24 2013 ovitters <ovitters> 0.3.4-1.mga4
+ Revision: 426602
- br intltool
- br libxml2-utils
- br itstool
- ensure buildrequires are really buildrequires, not just a require
- br glib-2.0
- update file list
- requires gtk+3.0, python-pep8
- new version 0.3.4

* Fri Jan 11 2013 umeabot <umeabot> 0.1.15-2.mga3
+ Revision: 348533
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 ovitters <ovitters> 0.1.15-1.mga3
+ Revision: 306785
- new version 0.1.15
- add url_ver rpm macro

* Sun Feb 26 2012 mitya <mitya> 0.1.14-3.mga2
+ Revision: 215409
- imported package d-feet

